# Install Guide

> **makey-cli** is compatible with `python 3.8+` and has been tested on macOS
> and Windows.

## Install

Install the latest version of **makey-cli**.

- [Homebrew](https://brew.sh) - global isolated

  ```zsh
  brew tap boldandbrad/homebrew-tap
  brew install makey-cli
  ```

- [pipx](https://pipxproject.github.io/pipx/) - global isolated

  ```zsh
  pipx install makey-cli
  ```

- pip - active python environment

  ```zsh
  pip install makey-cli
  ```

Now you're ready to make a passkey! Check the [Usage Guide](usage.md "Usage Guide")
or use `makey --help` to get going.

## Upgrade

Upgrade to the latest version of **makey-cli**.

- Homebrew

  ```zsh
  brew update && upgrade makey-cli
  ```

- pipx

  ```zsh
  pipx upgrade makey-cli
  ```

- pip

  ```zsh
  pip install --upgrade makey-cli
  ```

## Uninstall

Remove **makey-cli** from your environment.

- Homebrew

  ```zsh
  brew uninstall makey-cli
  ```

- pipx

  ```zsh
  pipx uninstall makey-cli
  ```

- pip

  ```zsh
  pip uninstall makey-cli
  ```

<div style="text-align: right"><i>Last updated: {docsify-updated}</i></div>
